/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.image-text .flex-row {
    align-items: center
}

.bg-maroon .image-text__text .btn-primary {
    background: #EF4024;
    color: #F4EFE8;
}

.image-text__text {
    padding-top: 60px;
    padding-bottom: 30px;
}

.image-text__img__wrap {
    height: 275px;
    margin: 0 -22px;
    position: relative;
}

.video-bttn {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-bttn svg {
    transition: all .3s;
}

.image-text--left-fixed-image .container {
    position: relative;
}

.image-text__text .btn {
    margin-top: 10px;
}

.image-text__text__pattern {
    position: absolute;
    max-width: initial;
    bottom: -61px;
    left: -15px;
    z-index: -1;
}


@media (min-width: 768px) {
    .image-text {
        padding: 80px 0;
    }

    .image-text__text {
        padding-top: 0;
        padding-bottom: 40px;
    }
    
    .image-text__img__wrap {
        height: 356px;
        margin: 0;
    }

    .image-text__img__wrap img {
        border-radius: 8px;
    }

    .image-text--left-fixed-image {
        padding-bottom: 0;
        position: relative;
        z-index: 1;
    }

    .image-text--left-fixed-image::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 40px;
        bottom: 0;
        left: 0;
        background: #F4EFE8;
    }
    
    .image-text--left-fixed-image:has(+ .bg-maroon)::before {
        background: #4B1007;
    }

    .image-text--left-fixed-image:has(+ .bg-rose-pink)::before {
        background: #F0E4DE;
    }

    .image-text__text .btn {
        margin-top: 15px;
    }
}

@media (min-width: 1200px) {
    .flex-opposite {
        flex-direction: row-reverse;
    }

    .image-text {
        padding: 125px 0;
    }
    
    .image-text__text {
        padding-top: 0;
        padding-bottom: 0;
    }
    
    .image-text__img__wrap {
        height: auto;
        margin: 0;
    }

    .bg-maroon .image-text__text .btn-primary:hover {
        color: #fff;
        background: #A35C52;
    }

    .video-bttn:hover svg {
        transform: scale(1.1);
    }

    .image-text--left-fixed-image {
        padding-bottom: 0;
        padding-top: 85px;
    }

    .image-text--left-fixed-image::before {
        height: 58px;
    }

    .image-text--left-fixed-image .flex-row {
        align-items: initial;
    }

    .image-text--left-fixed-image .image-text__text {
        padding-top: 65px;
        padding-bottom: 120px;
    }

    .image-text--left-fixed-image .image-text__img__wrap {
        margin-right: 50px;
        height: 100%;
    }

    .image-text__text .btn {
        margin-top: 20px;
    }
    
}

@media (max-width: 1199px) {
    .image-text__text__pattern {
        width: 100%;
        left: 0;
        top: 22vw;
        transform: translateY(-100%);
        max-width: 900px;
        right: 0;
        margin: 0 auto;
        height: auto;
    }
}